package com.gic.haoban.manage.api.qdto.contact;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ContactFollowBatchQDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269974L;
    /**
     * 会员id
     */
    private List<MemberFollow> memberList;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 跟进记录
     */
    private String followRemark;

    public List<MemberFollow> getMemberList() {
        return memberList;
    }

    public void setMemberList(List<MemberFollow> memberList) {
        this.memberList = memberList;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getFollowRemark() {
        return followRemark;
    }

    public void setFollowRemark(String followRemark) {
        this.followRemark = followRemark;
    }

    public static class MemberFollow implements Serializable{

        /**
         * 会员id
         */
        private String memberId;

        /**
         * 跟进时间
         */
        private Date followTime;

        public MemberFollow() {
        }

        public MemberFollow(String memberId, Date followTime) {
            this.memberId = memberId;
            this.followTime = followTime;
        }

        public String getMemberId() {
            return memberId;
        }

        public void setMemberId(String memberId) {
            this.memberId = memberId;
        }

        public Date getFollowTime() {
            return followTime;
        }

        public void setFollowTime(Date followTime) {
            this.followTime = followTime;
        }
    }
}